<?php
namespace Classes\PublimmoPro;

/**
 * Tools provides a bunch of useful templating tools
 *
 * @package Publimmo
 * @subpackage Helpers
 */
class Tools
{
    public $pagesTpl = array();

    public function __construct()
    {
        $this->pagesTpl = $this->get_pages_id_by_template();
        if (function_exists('icl_object_id')) {
            $this->pagesTpl['page_for_posts'] = icl_object_id(get_option('page_for_posts'), "page", true, ICL_LANGUAGE_CODE);
        } else {
            $this->pagesTpl['page_for_posts'] = 0;//get_option('page_for_posts');
        }
    }

    private function get_pages_id_by_template()
    {
        global $wpdb;
        $results = $wpdb->get_results('SELECT post_id, meta_value FROM '.$wpdb->postmeta.' WHERE meta_key = "_wp_page_template"');

        if($results != null) {
            $pagesTpl = array();
            foreach ($results as $v) {
                if (get_post_status($v->post_id) !== 'publish') {
                    continue;
                }

                if (function_exists('icl_object_id')) {
                    $pagesTpl[$v->meta_value] = icl_object_id($v->post_id, "page", true, ICL_LANGUAGE_CODE);
                } else {
                    $pagesTpl[$v->meta_value] = $v->post_id;
                }
            }
            return $pagesTpl;
        } else {
            return array('error' => 'couldnt fetch pages ids by templates.');
        }
    }

    public function is_page_object()
    {
        global $post;
        if (isset($post->ID) && $post->ID == $this->pagesTpl['page-objet.php']) {
            return true;
        } else {
            return false;
        }
    }

    public function is_page_cgu()
    {
        global $post;
        if (isset($post->ID) && isset($this->pagesTpl['template-cgu.php']) && $post->ID == $this->pagesTpl['template-cgu.php']) {
            return true;
        } else {
            return false;
        }
    }

    public function chrono($function_name, $function_param)
    {
        list($before_usec, $before_sec) = explode(" ", microtime());
        call_user_func($function_name, $function_param);
        list($after_usec, $after_sec) = explode(" ", microtime());
        die((float)$after_usec-(float)$before_usec);
    }


    public function getImageIdFromUrl($imageUrl, $format = 'full')
    {
        if ($format == 'full') {
            return $imageUrl;
        }

        global $wpdb;
    	$attachment = $wpdb->get_col('SELECT ID FROM '.$wpdb->posts.' WHERE guid LIKE "%'.basename($imageUrl).'"');
        $imageId = $attachment[0];
        $image = wp_get_attachment_image_src( $imageId, $format);

        return $image[0]; //image url
    }
}
