$(function() {
    var body = $('body');
    if ($('#search').length > 0) {
        /* *****************************************
         * Slide range events
         * *****************************************/
        //On Slide Event
        $(".slider>div").on("slide", function(event, ui) {
            $(this).slider("option", {
                values: [ui.values[0], ui.values[1]]
            });
            setSliderValues(this);
        });
        //On Create Slider Event
        $(".slider > div").on("slidecreate", function(event, ui) {
            var min = $(this).parent().find('.min').val();
            var max = $(this).parent().find('.max').val();
            //Set slider positions
            $(this).slider("option", {
                values: [min, max]
            });
            //Display values
            setSliderValues(this);
        });
        /*
        Configuration of sliders
        */
        var configPrixSlider = {
            range: true,
            min: ($('#value-transaction').attr("data-transaction") == 2) ? 500 : 50000,
            max: ($('#value-transaction').attr("data-transaction") == 2) ? 30000 : 10000000,
            step: ($('#value-transaction').attr("data-transaction") == 2) ? 500 : 25000,
            values: ($('#value-transaction').attr("data-transaction") == 2) ? [500, 30000] : [50000, 10000000]
        };
        $("#prixSlider").slider(configPrixSlider);
        
		// if(TOOLS.URIParams !== false) {
		//   $('.slider > div').each(function(){
		//     	var min = getSliderPosition($(this),'input').min;
		// 		var max = getSliderPosition($(this),'input').max;
		// 		$(this).slider('option', {values:[min,max]});
		//   });
		// }
		/* *****************************************
		* Checkboxes, hide slide range
		* *****************************************/
		
		$('#t li').click(function(event) {
        	event.preventDefault();
			var configPrixSlider = {
	            range: true,
	            min: ($(this).attr("data-value") == 2) ? 500 : 50000,
	            max: ($(this).attr("data-value") == 2) ? 30000 : 10000000,
	            step: ($(this).attr("data-value") == 2) ? 500 : 25000,
	            values: ($(this).attr("data-value") == 2) ? [500, 30000] : [50000, 10000000]
	        };
	        $("#prixSlider").slider(configPrixSlider);
	        $("#prixAmount").html("");
		});
			
        /* *****************************************
         * AutoComplete on search field
         * *****************************************/
        //autoComplete is located in /libs/autoComplete.js
        var communesReverse = {};
        for (var prop in communes) {
            if (communes.hasOwnProperty(prop)) {
                communesReverse[communes[prop]] = prop;
            }
        }
        $('#searchField').autoComplete();
        $('#searchField').bind('typeahead:selected', function(target, selected) {
            if (selected.type == 'region') {
                $('#regionID').val(selected.id);
                $('#communeID').val('');
                $('#lat').val('');
                $('#lon').val('');
            }
            if (selected.type == 'commune') {
                $('#communeID').val(selected.id);
                $('#regionID').val('');
                $('#lat').val(selected.latitude);
                $('#lon').val(selected.longitude);
            }
            $('#loc').val('');
            $('#searchField').trigger('blur'); //for IOS, hides the keyboard
        }).bind('focus', function() {
            $('#lat').val('');
            $('#lon').val('');
            $('#loc').val('');
            $("#regionID").val('');
            $("#communeID").val('');
            $('#searchField').typeahead('val', "");
        }).bind('typeahead:closed', function() {
            if ($("#regionID").val() == "" && $("#communeID").val() == "") {
                $('#searchField').typeahead('val', "");
                $('#lat').val('');
                $('#lon').val('');
            }
        });
        /* *****************************************
         * Get references
         * *****************************************/
        var timer;
        $('#ref').on('focus', function() {
            $(this).val('');
        });
        function getRef() {
            if ($('#ref').val().length < 4) {
                return false;
            }
            $('#ref').attr('style', 'background:url("../css/images/ajax-loader.gif") no-repeat right center');
            if (ajaxRequest == null) {
                ajaxRequest = $.ajax({
                    url: "/wp-admin/admin-ajax.php?action=getref",
                    data: {
                        idRef: $('#ref').val(),
                        idPublimmo: $('#idpublimmo').val(),
                        lang: $('#lang').val(),
                        homeurl: $('#homeurl').val()
                    }
                }).done(function(data) {
                    ajaxRequest = null;
                    res = $.parseJSON(data);
                    if (res.status == 0) {
                        $('#ref').attr('style', 'border-color:#ba3d4c;background:#ecbec3');
                        alert(res.msg);
                    } else {
                        window.location.assign(res.msg);
                        $('#ref').attr('style', '');
                    }
                });
            }
        }
        /* *****************************************
         * Form submit
         * *****************************************/
        var ajaxRequest = null;
        $('#search-form').on('submit', function() {
            if ($('#searchField').val() !== '') {
                $('#loc').val('');
            }
        });
        $('.quickSubmit').on('click', function() {
            if ($('#ref').val()) {
                getRef();
                return false;
            }
            if ($('#searchField').val() !== '') {
                $('#loc').val('');
            }
            $("#search-form").submit();
        });
    }
    /* *****************************************
     * Displays the selected values, set selected values in inputs
     * *****************************************/
    function setSliderValues(slider) {
        var minValue = $(slider).slider('option').min;
        var maxValue = $(slider).slider('option').max;
        var unit = $(slider).attr('data-unit');
        var min = getSliderPosition(slider, 'slider').min;
        var max = getSliderPosition(slider, 'slider').max;
        //Display values in a label
        if ((min === minValue && max === maxValue)) {
            inputContent = '';
        } else if (min === minValue) {
            inputContent = "max. " + addCommas(max) + " " + unit;
        } else if (max === maxValue) {
            inputContent = "min. " + addCommas(min) + " " + unit;
        } else {
            inputContent = addCommas(min) + " - " + addCommas(max) + " " + unit;
        }
        //Write in label
        $(slider).parent().children('span').html(inputContent);
        //Position the sliders grips
        $(slider).slider("option", {
            values: [min, max]
        });
        //set min value in input for form sending
        $(slider).parent().find('.min').val(min);
        if (min === minValue) {
            $(slider).parent().find('.min').val('');
        }
        //set max value in input for form sending
        $(slider).parent().find('.max').val(max);
        if (max === maxValue) {
            $(slider).parent().find('.max').val('');
        }
    }
    /* *****************************************
     * Add ' to numbers
     * *****************************************/
    function addCommas(nStr) {
        nStr += '';
        x = nStr.split('.');
        x1 = x[0];
        x2 = x.length > 1 ? '.' + x[1] : '';
        var rgx = /(\d+)(\d{3})/;
        while (rgx.test(x1)) {
            x1 = x1.replace(rgx, '$1' + '\'' + '$2');
        }

        return x1 + x2;
    }
    /* *****************************************
     * Get min-max values from the input fields
     * *****************************************/
    function getSliderPosition(slider, source) {
        //Fetch values from input fields
        if (source === 'input') {
            min = $(slider).parent().find('.min').val();
            max = $(slider).parent().find('.max').val();
        } else { //Fetch values from slider data
            values = $(slider).slider('option').values;
            min = values[0];
            max = values[1];
        }
        //If empty, set to min value
        if (min === '') {
            min = $(slider).slider('option').min;
        }
        //If empty, set to max value
        if (max === '') {
            max = $(slider).slider('option').max;
        }
        return {
            'min': min,
            'max': max
        };
    }
});