<?php

use Classes\PublimmoPro\ObjetsSearchEngine;
use Classes\PublimmoPro\Client;

global $post;
$index_module = 0;
$isFirstPage = filter_input(INPUT_GET, 'show', FILTER_VALIDATE_INT) < 2;
$paginationSource = filter_input(INPUT_GET, 'source');
$hideMap = !$isFirstPage && $paginationSource !== 'objects';

$classes = ['single-content'];
$classes[] = $index_module == 0 && !empty($module_title) ? "padding-top-because-title" : '';
$classes[] = $index_module % 2 == 0 ? "bg-white" : "bg-gray";

$publimmoClient = new Client('');

$nombre_dobjets = $params['properties-number'];

$primaryColor = "#492714";
$secondaryColor = "#222";
if( get_option('publimmo_settings')['primary_color'] &&  get_option('publimmo_settings')['primary_color'] != ""){
    $primaryColor = get_option('publimmo_settings')['primary_color'];
}

if( get_option('publimmo_settings')['secondary_color'] &&  get_option('publimmo_settings')['secondary_color'] != ""){
    $secondaryColor = get_option('publimmo_settings')['secondary_color'];
}

$layout = 'recherche';

$objets_a_afficher = "any";
if(isset($params['transaction-type'])){
    if($params['transaction-type'] == 1){
        $objets_a_afficher = "acheter";
    }else if($params['transaction-type'] == 2){
        $objets_a_afficher = "louer";
    }
}

if(!empty($_GET['t'])){
    if($_GET['t'] == 1){
        $objets_a_afficher = "acheter";
    }else if($_GET['t'] == 2){
        $objets_a_afficher = "louer";
    }
}

$id_du_courtier = "";
if(isset($params['broker-id'])){
    $id_du_courtier = $params['broker-id'];
    $objets_a_afficher = "courtier";
    $layout = 'objets';
}



if(isset($params['homepage']) && $params['homepage'] == 1){
    $objets_a_afficher = "last-louer";
    $layout = 'objets';
    if(isset($params['properties-number']) && ($params['properties-number'] == 3 || $params['properties-number'] == 6 || $params['properties-number'] == 9 || $params['properties-number'] == 12)){

        $nombre_dobjets = $params['properties-number'];
    }else{
        $nombre_dobjets = 3;
    }

    $limit = $nombre_dobjets;

    if(isset($params['homepage-display-type']) && $params['homepage-display-type'] >= 1 && $params['homepage-display-type'] <= 3){

        if($params['homepage-display-type'] == 1){ // LAST LOUER
            $objets_a_afficher = "last-louer";
        } elseif($params['homepage-display-type'] == 2){// LAST ACHETER
            $objets_a_afficher = "last-acheter";
        } elseif($params['homepage-display-type'] == 3){

            if(isset($params['homepage-display-type-ids'])){
                $objets_a_afficher = "choose";
                $identifiants_des_objets = $params['homepage-display-type-ids'];
            }else{
                $objets_a_afficher = "last-louer";
            }
        }

    }

}

$lang = "fr";
if ($params['lang']){
    if($params['lang'] == "en"){
        $lang = "en";
    }elseif($params['lang'] == "de") {
        $lang = "de";
    }
}

if(!defined('ICL_LANGUAGE_CODE')) {
    define('ICL_LANGUAGE_CODE', $lang);
}

?>

<style type='text/css'>
    body #publimmo-custom-plugin-listing .adv_handler_refresh,
    body #publimmo-custom-plugin-listing .anchor-btn-dossier {
        background-color: <?= $primaryColor ?>;
    }

    body #publimmo-custom-plugin-listing .adv_handler {
        background-color: <?= $primaryColor ?>;
    }

    body #publimmo-custom-plugin-listing .adv_handler:hover {
        background-color: <?= $secondaryColor ?>;
    }

    body #publimmo-custom-plugin-listing .adv_handler_refresh:active,
    body #publimmo-custom-plugin-listing .adv_handler_refresh:focus,
    body #publimmo-custom-plugin-listing .adv_handler_refresh:hover {
        background-color: <?= $secondaryColor ?>;
    }

    body #publimmo-custom-plugin-listing .caret:after {
        color: <?= $primaryColor ?>;
    }

    body #publimmo-custom-plugin-listing .adv_search_slider .ui-widget-header {
        background-color: <?= $primaryColor ?>;
    }

    body #publimmo-custom-plugin-listing .pagination > .active > a,
    body #publimmo-custom-plugin-listing .pagination > .active > a:focus,
    body #publimmo-custom-plugin-listing .pagination > .active > a:hover,
    body #publimmo-custom-plugin-listing .pagination > .active > span,
    body #publimmo-custom-plugin-listing .pagination > .active > span:focus,
    body #publimmo-custom-plugin-listing .pagination > .active > span:hover{
        background-color: <?= $primaryColor ?>;
    }

    body #publimmo-custom-plugin-listing .pagination > li > a:focus,
    body #publimmo-custom-plugin-listing .pagination > li > a:hover,
    body #publimmo-custom-plugin-listing .pagination > li > span:focus,
    body #publimmo-custom-plugin-listing .pagination > li > span:hover {
        background-color: <?= $primaryColor ?>;
        border-color: <?= $primaryColor ?>;
    }

    body #publimmo-custom-plugin-listing .form-control.open {
        border-color: <?= $primaryColor ?>;
    }

    body #publimmo-custom-plugin-listing .filter_menu li:hover {
        color: <?= $primaryColor ?>;
    }

    body #publimmo-custom-plugin-listing #submitForm {
        background-color: <?= $primaryColor ?>;
    }

    body #publimmo-custom-plugin-listing #submitForm:hover {
        background-color: <?= $secondaryColor ?>;
    }

    body #publimmo-custom-plugin-listing .object-teaser__price {
        color: <?= $primaryColor ?>;
    }

    body #publimmo-custom-plugin-listing .featured_div {
        background-color: <?= $primaryColor ?>;
    }

    body #publimmo-custom-plugin-listing .form-control:focus {
        border-color: <?= $primaryColor ?>;
    }

    body #publimmo-custom-plugin-listing .adres_area, #publimmo-custom-plugin-listing .adres_area a {
        color: <?= $primaryColor ?>;
    }

    body #publimmo-custom-plugin-listing .adv_handler_refresh, #publimmo-custom-plugin-listing .anchor-btn-dossier {
        background-color: <?= $primaryColor ?>;
    }

    body #publimmo-custom-plugin-listing .property_menu li a.anchor-btn-dossier:hover {
        background-color: <?= $secondaryColor ?>;
    }

    body #publimmo-custom-plugin-listing .price_area {
        color: <?= $primaryColor ?>;
    }

    body #publimmo-custom-plugin-listing .caret:after {
        color: <?= $primaryColor ?>;
    }

    body #publimmo-custom-plugin-listing #primary .wpresidence_button,
    body #publimmo-custom-plugin-listing .comment-form #submit,
    body #publimmo-custom-plugin-listing .wpresidence_button {
        background-color: <?= $primaryColor ?>
    }

    body #publimmo-custom-plugin-listing #primary .wpresidence_button:hover,
    body #publimmo-custom-plugin-listing .comment-form #submit:hover,
    body #publimmo-custom-plugin-listing .wpresidence_button:hover {
        background-color: <?= $secondaryColor ?>;
    }

    body #publimmo-custom-plugin-listing #primary a:hover {
        color: <?= $primaryColor ?>;
    }

    body #publimmo-custom-plugin-listing .form-control.open .sidebar_filter_menu {
        color: <?= $primaryColor ?>;
    }

    body #publimmo-custom-plugin-listing .owl-nav .owl-next:hover:after {
        border-bottom-color: <?= $primaryColor ?>;
    }

    body #publimmo-custom-plugin-listing a:focus,
    body #publimmo-custom-plugin-listing a:hover {
        color: <?= $primaryColor ?>;
    }

    body #publimmo-custom-plugin-listing .property_menu li a:hover {
        color: <?= $primaryColor ?>;
    }

    body #publimmo-custom-plugin-listing input[type="text"]:focus,
    body #publimmo-custom-plugin-listing input[type="search"]:focus,
    body #publimmo-custom-plugin-listing input[type="email"]:focus,
    body #publimmo-custom-plugin-listing input[type="url"]:focus,
    body #publimmo-custom-plugin-listing input[type="password"]:focus,
    body #publimmo-custom-plugin-listing input[type="tel"]:focus,
    body #publimmo-custom-plugin-listing input[type="number"]:focus,
    body #publimmo-custom-plugin-listing textarea:focus,
    body #publimmo-custom-plugin-listing select.form-control:focus,
    body #publimmo-custom-plugin-listing select:focus {
        border-color: <?= $primaryColor ?>;
    }

    body #publimmo-custom-plugin-listing *::selection {
        background-color: <?= $primaryColor ?>;
    }

    body #publimmo-custom-plugin-listing #colophon,
    body #publimmo-custom-plugin-listing .islive:hover,
    body #publimmo-custom-plugin-listing .places_type_2_listings_no .listings_no,
    body #publimmo-custom-plugin-listing .theme_slider_price,
    body #publimmo-custom-plugin-listing .theme_slider_wrapper .carousel-indicators .active,
    body #publimmo-custom-plugin-listing .featured_div_video,
    body #publimmo-custom-plugin-listing .featured_div_dispo,
    body #publimmo-custom-plugin-listing .pagination > .active > a,
    body #publimmo-custom-plugin-listing .pagination > .active > span,
    body #publimmo-custom-plugin-listing .pagination > .active > a:hover,
    body #publimmo-custom-plugin-listing .pagination > .active > span:hover,
    body #publimmo-custom-plugin-listing .pagination > .active > a:focus,
    body #publimmo-custom-plugin-listing .pagination > .active > span:focus,
    body #publimmo-custom-plugin-listing .pagination > li > a:hover,
    body #publimmo-custom-plugin-listing .pagination > li > span:hover,
    body #publimmo-custom-plugin-listing .pagination > li > a:focus,
    body #publimmo-custom-plugin-listing .pagination > li > span:focus,
    body #publimmo-custom-plugin-listing .comment-form #submit,
    body #publimmo-custom-plugin-listing .wpresidence_button,
    body #publimmo-custom-plugin-listing .adv_handler,
    body #publimmo-custom-plugin-listing #slider_price .ui-widget-header,
    body #publimmo-custom-plugin-listing .adv_search_slider .ui-widget-header,
    body #publimmo-custom-plugin-listing .form-collapse i,
    body #publimmo-custom-plugin-listing .property_menu li a.anchor-btn-dossier,
    body #publimmo-custom-plugin-listing .adv_handler_refresh, .footer-object-mobile ul li a,
    body #publimmo-custom-plugin-listing .footer-object-mobile ul,
    body #publimmo-custom-plugin-listing #gmapzoomplus_sh,
    body #publimmo-custom-plugin-listing #gmapzoomplus,
    body #publimmo-custom-plugin-listing #gmapzoomminus_sh,
    body #publimmo-custom-plugin-listing #gmapzoomminus,
    body #publimmo-custom-plugin-listing #gmapzoomplus_sh:hover,
    body #publimmo-custom-plugin-listing #gmapzoomminus_sh:hover,
    body #publimmo-custom-plugin-listing #slider_enable_street_sh:hover,
    body #publimmo-custom-plugin-listing #gmapzoomplus:hover,
    body #publimmo-custom-plugin-listing #gmapzoomminus:hover,
    body #publimmo-custom-plugin-listing #gmapreinit {
        background-color: <?= $primaryColor ?>;
    }
</style>

<div class="website-wrapper" id="publimmo-custom-plugin-listing">
<?php

if($layout == 'objets') {
    $classes[] = 'single-objets';

    //$type_de_listing = get_sub_field("type_de_listing");
    $type_de_listing = "grille";
    //$objets_a_afficher = get_sub_field("objets_a_afficher");

    if ($type_de_listing === 'table' && $objets_a_afficher === 'compose') {
        // l'affichage en table n'est pas compatible avec la composition des objets
        //continue;
    }
    ?>
    <div id="listing-objects" class="<?= implode(' ', $classes) ?>"><?php

        ?>
        <div class="key-figures-container">
            <div class="container">
                <?php
                if(isset($params['properties-type']) && ($params['properties-type'] >= 1 && $params['properties-type'] <= 6)){
                    $_GET['type_1'] = $params['properties-type'];
                }
//                $typeFilter = explode('_', get_sub_field('object_type_filter'));
//                if (!empty($typeFilter) && $typeFilter !== 'disabled') {
//                    $_GET['type_1'] = $typeFilter[0];
//
//                    if (isset($typeFilter[1])) {
//                        $_GET['sousType'] = $typeFilter[1];
//                    }
//                }

                $type_objects = 'default';
                if($objets_a_afficher == "any"){
                    $ObjetsSearchEngine = new ObjetsSearchEngine($publimmoClient, 'any', false, "", "", "", "1");
                    $type_objects = "any";
                }elseif($objets_a_afficher == "acheter"){
                    $ObjetsSearchEngine = new ObjetsSearchEngine($publimmoClient,'acheter', false, "", "", "", "1");
                    $type_objects = "acheter";
                }elseif($objets_a_afficher == "louer"){
                    $ObjetsSearchEngine = new ObjetsSearchEngine($publimmoClient,'louer', false, "", "", "", "1");
                    $type_objects = "louer";
                }elseif($objets_a_afficher == "last-louer"){
                    //$nombre_dobjets = get_sub_field("nombre_dobjets");
                    $ObjetsSearchEngine = new ObjetsSearchEngine($publimmoClient,'louer', false, "", "", "", "1");
                    $results = $ObjetsSearchEngine->results;
                    $output = array_slice($results, 0, $nombre_dobjets);
                    $ObjetsSearchEngine->results = $output;
                    $ObjetsSearchEngine->resultsNumber = $nombre_dobjets;
                    $type_objects = "louer";
                }elseif($objets_a_afficher == "last-acheter"){
                    //$nombre_dobjets = get_sub_field("nombre_dobjets");
                    $ObjetsSearchEngine = new ObjetsSearchEngine($publimmoClient,'acheter', false, "", "", "", "1");
                    $results = $ObjetsSearchEngine->results;
                    $output = array_slice($results, 0, $nombre_dobjets);
                    $ObjetsSearchEngine->results = $output;
                    $ObjetsSearchEngine->resultsNumber = $nombre_dobjets;

                }elseif($objets_a_afficher == "choose"){

                    $ObjetsSearchEngine = new ObjetsSearchEngine($publimmoClient,'any', false, $identifiants_des_objets, "", "1");
                    $type_objects = "choose";
                }elseif($objets_a_afficher == "courtier"){
                    $ObjetsSearchEngine = new ObjetsSearchEngine($publimmoClient,'any', false, "", $id_du_courtier, "1");
                    $type_objects = "courtier";
                }elseif($objets_a_afficher == "mot-cle"){
                    //$mot_cle = get_sub_field("mot-cle");
                    // todo
                    $mot_cle = "";
                    $ObjetsSearchEngine = new ObjetsSearchEngine($publimmoClient,'any', false, "", "", $mot_cle, "1");
                    $type_objects = "mot-cle";
                }elseif($objets_a_afficher == "all-promotions"){
                    $ObjetsSearchEngine = new ObjetsSearchEngine($publimmoClient,'promotions', false, "", "", "", "1");
                    $type_objects = "promotion";
                }elseif($objets_a_afficher == "choose-promotions"){
                    //$id = get_sub_field("identifiants_objet");
                    $id = "";
                    $object = new Objet('object_ID='.$id);

                    if (!empty($object->data)) {
                        $promotionIDs = $object->getPromotionsIDs() ?: [];
                        $ObjetsSearchEngine = new ObjetsSearchEngine($publimmoClient,'any',false, implode(',', $promotionIDs), "", "", "1");
                    } else {
                        // if the object doesn't exists anymore, we want to show the placeholder
                        // message.
                        $ObjetsSearchEngine = (object) [
                            'resultsNumber' => 0
                        ];
                    }

                    $type_objects = "promo";
                }elseif($objets_a_afficher == "compose"){

                    //$objects = get_sub_field("mod_composed_objects");
                    $objects = [];
                    $ids = $identifiants_des_objets;
                    $identifiants_des_objets = implode(',', $ids);
                    $objects = array_combine($ids, $objects);

                    $ObjetsSearchEngine = new ObjetsSearchEngine($publimmoClient,'any', false, $identifiants_des_objets, "", "1");

                    $ObjetsSearchEngine->results = array_map(function ($object) use ($objects) {
                        $composed = $objects[$object->id];

                        if (empty($composed)) {
                            return false;
                        }

                        if (!empty($composed['mod_image']['sizes']['medium_large'])) {
                            $object->photo = $composed['mod_image']['sizes']['medium_large'];
                        }

                        if (!empty($composed['mod_title'])) {
                            $object->titre = $composed['mod_title'];
                        }

                        if (!empty($composed['mod_subtitle'])) {
                            $object->soustitre = $composed['mod_subtitle'];
                        }

                        return $object;
                    }, $ObjetsSearchEngine->results);
                    $type_objects = 'composed';
                }

                if (in_array($type_objects, ['any', 'promo', 'acheter', 'last-acheter', 'promotion'])) {
                    // TODO
                    //$sold_filter = get_sub_field('afficher_vendu');
                    $sold_filter = 'not_sold';

                    if ($sold_filter == 'sold') {
                        $ObjetsSearchEngine->results = array_values(array_filter($ObjetsSearchEngine->results, function($objet) {
                            return $objet->disponibiliteCode == 2;
                        }));
                        $ObjetsSearchEngine->resultsNumber = count($ObjetsSearchEngine->results);
                    }

                    if ($sold_filter == 'not_sold') {
                        $ObjetsSearchEngine->results = array_values(array_filter($ObjetsSearchEngine->results, function($objet) {
                            return $objet->disponibiliteCode != 2;
                        }));
                        $ObjetsSearchEngine->resultsNumber = count($ObjetsSearchEngine->results);
                    }
                }

                if($ObjetsSearchEngine->resultsNumber == 0){ ?>
                    <div class="no-results">
                        <h3>
                            <?php
                            echo ($objets_a_afficher == "choose-promotions")
                                ? __("Cette promotion n'est plus disponible", 'publimmo')
                                : __('Aucun résultat ne correspond à votre recherche.','publimmo');
                            ?>
                        </h3>
                    </div>
                <?php
                }else{
                //$ObjetsSearchEngine->sortBy(of_get_option('results_sorting', false));

//                if ($limit) {
//                    $ObjetsSearchEngine->results = array_slice($ObjetsSearchEngine->results, 0, $limit);
//                    $ObjetsSearchEngine->resultsNumber = count($ObjetsSearchEngine->results);
//                }

                $targetpage = get_permalink($post->ID).'?px=lx&source=objects'; //this param is dummy, this is used because create_pagination's behaviour
                $pagination = create_pagination($ObjetsSearchEngine->resultsNumber, $targetpage, $nombre_dobjets);
                $i = $pagination['i'];
                $end = $pagination['end'];

                /**
                 * Carousel mode
                 */
                if ($type_de_listing === 'carousel') {
                add_action('wp_footer', function () {
                ?>
                    <script src="https://cdn.jsdelivr.net/npm/vue"></script>
                    <script src="https://cdn.jsdelivr.net/npm/vue-carousel-3d@0.2.0/dist/vue-carousel-3d.min.js"></script>
                    <script>
                        Vue.use(Carousel3d);
                        new Vue({
                            el: '#app',
                            components: {
                                'carousel-3d': Carousel3d.Carousel3d,
                                'slide': Carousel3d.Slide
                            },

                            data: {
                                width: window.innerWidth >= 500 ? 350 : 300
                            },

                            computed: {
                                data: {
                                    width: this.width
                                }
                            },
                            methods: {
                                handleResize () {
                                    this.width = window.innerWidth >= 500 ? 350 : 300;
                                }
                            },
                            mounted () {
                                window.addEventListener('resize', this.handleResize)
                            },
                            beforeDestroy () {
                                window.removeEventListener('resize', this.handleResize)
                            }
                        });
                    </script>
                <?php
                }, 10);
                ?>
                    <div id="app">
                        <carousel-3d
                                :controls-visible="true"
                                :controls-width="30"
                                :controls-height="60"
                                :space="280"
                                :display="3"
                                :width=width
                                :height="470"
                                :perspective="0"
                                :border="0"
                        >
                            <?php
                            if (in_array($objets_a_afficher, ["last-louer", "last-acheter"])) {
                                $ObjetsSearchEngine->results = array_slice($ObjetsSearchEngine->results, 0, $nombre_dobjets);
                                $ObjetsSearchEngine->resultsNumber = count($ObjetsSearchEngine->results);
                            }

                            foreach ($ObjetsSearchEngine->results as $i => $result) {
                                echo '<slide :index="'.$i.'">';
                                show_object($ObjetsSearchEngine, $i, $type_objects, 'carousel');
                                echo '</slide>';
                            }
                            ?>
                        </carousel-3d>
                    </div>
                <?php
                } elseif ($type_de_listing === 'table') {
                    $html =
                        '<table id="features">'.
                        '<tr>'.
                        '<th>'.__('Lot','publimmo').'</th>'.
                        '<th>'.__('Etage','publimmo').'</th>'.
                        '<th>'.__('Pièces','publimmo').'</th>'.
                        '<th><span class="hidden-xs">'.__('Surface','publimmo').'</span><span class="hidden-not-xs">m2</span></th>'.
                        '<th><span class="hidden-xs">'.__('Prix','publimmo').'</span><span class="hidden-not-xs">CHF</span></th>'.
                        '<th>'.__('Disponibilité','publimmo').'</th>'.
                        '</tr>';


                    if ($objets_a_afficher === 'choose-promotions') {
                        $ObjetsSearchEngine->results = $object->data->promotionTable;
                    }

                    foreach ($ObjetsSearchEngine->results as $data) {
                        switch($data->disponibiliteCode) {
                            case 1: //Réservé
                            case 3: //Option
                                $opacity = ' style="opacity:0.65" ';
                                break;
                            case 2: //Vendu
                                $opacity = ' style="opacity:0.3" ';
                                break;
                            case 1: //Dispo
                            default:
                                $opacity = ' ';
                        }

                        $onClick = ' ';

                        if ($objets_a_afficher === 'choose-promotions') {
                            $object_title = '<span class="hidden-xs">'.($data->type ?? '').' - </span>'.($data->lot ?? '');
                            if($data->disponibiliteCode != 2) {
                                $linkedObject = new Objet(array('object_data' => (object) array('id' => $data->id, 'type' => 'Promotion', 'typeCode' => $data->typeCode, 'localite' => $object->data->localite, 'transaction' => $object->data->transaction)));
                                $onClick = ' class="objet_promo_link" onclick="document.location=\''.$linkedObject->getUrl().'\'"';
                            }

                        } else {
                            $objet = new Objet(array(
                                'object_data' => $data,
                                'displayType' => $type_objects
                            ));

                            $object_title = $objet->getTitlev2();

                            if($data->disponibiliteCode != 2) {
                                $onClick = ' class="objet_promo_link" onclick="document.location=\''.$objet->getUrl().'\'"';
                            }
                        }


                        $html .=
                            '<tr'.$opacity.$onClick.'>'.
                            '<td>'.$object_title.'</td>'.
                            '<td>'.((isset($data->etage))?$data->etage:'').'</td>'.
                            '<td>'.((isset($data->pieces))?$data->pieces.'<span class="hidden-xs"> '.__('pces','publimmo'):'').'</span></td>'.
                            '<td>'.((isset($data->surface))?$data->surface.'<span class="hidden-xs">m2</span>':'').'</td>'.
                            '<td><span class="hidden-xs">'.((isset($data->prix))?'CHF </span>'.$data->prix:'').'</td>'.
                            '<td>'.((isset($data->disponibilite))?$data->disponibilite:'').'</td>'.
                            '</tr>';
                    }
                    $html .= '</table>';

                    echo $html;
                } else {
                switch ($type_de_listing) {
                    case 'grille':
                        $column = ' grid--3-cols';
                        break;

                    case 'grille_simple':
                        $column = ' grid--2-cols';
                        break;

                    case 'liste':
                    default:
                        $column = ' grid--1-col';
                }
                ?>
                    <div class="grid<?= $column ?>">
                        <?php
                        for ($i; $i <= $end; $i++) {
                            if (isset($ObjetsSearchEngine->results[$i])) {
                                show_object($ObjetsSearchEngine, $i, $type_objects, $type_de_listing);
                            }
                        }
                        ?>
                    </div>
                    <?php
                    if (!$limit) {
                        echo $pagination['pagination'];
                    }
                }
            }
            ?>
            </div>
        </div>
    </div>
    <?php
    //  ____           _                   _
    // |  _ \ ___  ___| |__   ___ _ __ ___| |__   ___
    // | |_) / _ \/ __| '_ \ / _ \ '__/ __| '_ \ / _ \
    // |  _ <  __/ (__| | | |  __/ | | (__| | | |  __/
    // |_| \_\___|\___|_| |_|\___|_|  \___|_| |_|\___|
    //
} elseif($layout == 'recherche') {
    //TODO
//    $moteur_de_recherche_deja_deploye = get_sub_field("moteur_de_recherche_deja_deploye");
//    $type_de_fond = get_sub_field("type_de_fond");
//    $position_formulaire = get_sub_field("position_formulaire");
//    $selection_du_budget = get_sub_field("selection_du_budget");
//    $redirection = get_sub_field("moteur_de_recherche_avec_redirection");
//    $selection_du_nombre_de_piece = get_sub_field("selection_du_nombre_de_piece");
//    $selection_du_rayon_de_recherche = get_sub_field("selection_du_rayon_de_recherche");
//    $image_de_fond = get_sub_field("image_de_fond");

    $type_dobjet_affiche_sur_la_carte = $objets_a_afficher;

//    $type_de_listing = get_sub_field("type_de_listing");
//    $redirection_tous = get_sub_field("page_utilisee_pour_la_redirection_tous");
//    $redirection_acheter = get_sub_field("page_utilisee_pour_la_redirection_acheter");
//    $redirection_louer = get_sub_field("page_utilisee_pour_la_redirection_louer");

    $type_de_fond = "image";
    $position_formulaire = "bottom";
    $redirection = "non";
    $image_de_fond = "";
    $type_de_listing = "grille";

    $classes = [
        'header_media',
        'with_search_3',
        'search-form--'.$position_formulaire
    ];

    if(isset($params['properties-type']) && ($params['properties-type'] >= 1 && $params['properties-type'] <= 6)){
        $_GET['type_1'] = $params['properties-type'];
    }

    if(isset($params['region']) && ($params['region'] >= 1 && $params['region'] <= 46)){
        $_GET['region'] = $params['region'];
    }

    $shouldShowMap = (!$hideMap || ($hideMap && $type_de_fond !== "carte"));
    if ($shouldShowMap) {
        ?>
        <div class="<?= implode(' ', $classes) ?>">
            <?php
            if($type_de_fond == "carte"){
                ?>
                <div class="gmap-controls">
                    <div id="gmapreinit"><a href="<?php the_permalink(); ?>"><i class="fa fa-times"></i></a></div>
                    <div id="gmapzoomplus"><i class="fa fa-plus"></i></div>
                    <div id="gmapzoomminus"><i class="fa fa-minus"></i></i></div>
                </div>
                <?php
            }

            include_once("search-form.php");
            ?>
        </div>
        <?php
    }

    if ($redirection == "non") {
        // TODO
//        if (get_sub_field("contenu")) {
//            $classes = [
//                'single-content',
//                'single-wysiwyg',
//            ];
//            $classes[] = get_sub_field('custom_class') ?: '';
//            $classes[] = $index_module % 2 == 0 ? "bg-white" : "bg-gray";
//            ?>
<!--            <div class="--><?//= implode(' ', $classes) ?><!--">-->
<!--                <div class="container">-->
<!--                    <div class="row">-->
<!--                        <div class="col-sm-12">-->
<!--                            --><?php //the_sub_field("contenu"); ?>
<!--                        </div>-->
<!--                    </div>-->
<!--                </div>-->
<!--            </div>-->
<!--            --><?php
//        }
        ?>
        <div id="listing-objects" class="single-content single-objets"<?= !$shouldShowMap ? ' style="margin-top: 50px"' : '' ?>>
            <div class="key-figures-container">
                <div class="container">
                    <?php
                    if (!$shouldShowMap) {
                        $args = explode('&', $_SERVER['QUERY_STRING']);
                        $args = array_filter($args, function($arg) {
                            return strpos($arg, 'show') === false;

                        });
                        echo '<div><a style="float: none;display: inline-block" class="wpresidence_button" href="'.get_permalink().'?'.implode('&', $args).'">'. __('Retour à la recherche', 'publimmo').'</a></div>';
                    }
                    ?>
                    <div class="row"><?php

                        $type_objects = 'default';
                        if (isset($_GET['t'])) {
                            $transaction = $_GET['t'];
                            switch($transaction) {
                                case '1':
                                    $type = "acheter";
                                    break;
                                case '2':
                                    $type = "louer";
                                    break;
                                default:
                                    $type = "any";
                            }

                            $ObjetsSearchEngine = new ObjetsSearchEngine($publimmoClient, $type, false, "", "", "", "1");
                        } else {

                            if ($objets_a_afficher == "any") {
                                $ObjetsSearchEngine = new ObjetsSearchEngine($publimmoClient, 'any', false, "", "", "", "1");
                                $type_objects = "any";
                            } elseif($objets_a_afficher == "acheter") {
                                $ObjetsSearchEngine = new ObjetsSearchEngine($publimmoClient, 'acheter', false, "", "", "", "1");
                                $type_objects = "acheter";
                            } elseif($objets_a_afficher == "louer") {
                                $ObjetsSearchEngine = new ObjetsSearchEngine($publimmoClient, 'louer', false, "", "", "", "1");
                                $type_objects = "louer";
                            }
                        }

                        // TODO
                        //$sold_filter = get_sub_field('exclude_sold_object');
                        $sold_filter = "non";

                        if ($sold_filter == 'oui') {
                            $ObjetsSearchEngine->resultsNumber = 0;
                            if($ObjetsSearchEngine->results) {
                                $ObjetsSearchEngine->results = array_values(array_filter($ObjetsSearchEngine->results, function ($objet) {
                                    return $objet->disponibiliteCode != 2;
                                }));
                                $ObjetsSearchEngine->resultsNumber = count($ObjetsSearchEngine->results);
                            }


                        }

                        if ($ObjetsSearchEngine->resultsNumber == 0) {
                            ?>
                            <div class="no-results">
                                <h3><?php _e('Aucun résultat ne correspond à votre recherche.','publimmo');?></h3>
                            </div>
                            <?php
                        } else {
                            //$ObjetsSearchEngine->sortBy(of_get_option('results_sorting', false));

                            $params = '?px=lx&source=search';
                            foreach ($_GET as $k => $v) {
                                if ($v && $k != 'show') {
                                    $params .= '&'.$k.'='.$v;
                                }
                            }
                            $targetpage = get_permalink($post->ID).$params; //this param is dummy, this is used because create_pagination's behaviour
                            $pagination = create_pagination($ObjetsSearchEngine->resultsNumber, $targetpage, $nombre_dobjets);
                            $i = $pagination['i'];
                            $end = $pagination['end'];
                            echo $pagination['pagination'];
                            ?>
                            <div class="grid grid--3-cols"><?php
                            for ($i; $i <= $end; $i++) {
                                if(isset($ObjetsSearchEngine->results[$i])){
                                    show_object($ObjetsSearchEngine, $i, $type_objects, $type_de_listing);
                                }
                            } ?>
                            </div><?php
                            echo $pagination['pagination'];
                        }
                        ?>
                    </div>
                </div>
            </div>
        </div>
        <?php
    }

}

?>

</div>
